PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : Installation Von Apache und PHP auf WinXP HE


markus.thiede
03.08.2003, 23:54:21
Folgendes Problem:

Ich habe Apache 1.3.28 installiert.
Und möchte jetzt php-5.0.0b1 als
Modul installieren.
doch Apache meldet C:/Apache/Apache/php/sapi/php4apache.dll
modul wurde nicht gefunden.
Mit Apache 2.0.47 das gleiche Problem nur halt mit der php4apache2.dll

Ich habe die httpd.conf nach Anleitung modifiziert.
php.ini ist im windows Verzeichnis und die php4ts.dll ist im windowssystem32 verzeichnis.

Ich weiß jetzt nicht mehr wo der Fehler ist.
Es lief doch vor dem Komplettabsturz mit früheren versionen.
apache 1.3.27 und php 4 irgendwas.

Jemand ne Idee

Ben20
07.08.2003, 21:58:18
Von PHP 5 würde ich noch die Finger lassen, das ist alles noch Beta. Ansonsten installier PHP nicht als Modul sondern als CGI Version, vielleicht hilfts

Freezer
07.11.2003, 18:14:30
ja der Leichenausbuddler.

Ich bin neu hier, ihr werdet noch viel von mir zu hören bekommen.

Ich denke mal das ihr kompetent und intelligent genug seid um mir bei meinen Problemen zu helfen.

Fang ich gleich mal hier an:

Ansonsten installier PHP nicht als Modul sondern als CGI Version, vielleicht hilfts

Was ist genau ein Modul, was genau ein CGI?

Ich hab beides schon oft gehört, aber nie eine richtige Erklärung dazu gefunden.

Was ist also an den beiden Dingen (Modul,CGI) anders, was machen sie, was ist das im Endeffekt?

Hoffe auf baldige Antwort.